httpd-docs mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From bugzi...@apache.org
Subject [Bug 53824] New: manual/bind binding description for v4-mapped on FreeBSD platform is only valid for FreeBSD-5x
Date Mon, 03 Sep 2012 20:18:58 GMT
https://issues.apache.org/bugzilla/show_bug.cgi?id=53824

          Priority: P2
            Bug ID: 53824
          Assignee: docs@httpd.apache.org
           Summary: manual/bind binding description for v4-mapped on
                    FreeBSD platform is only valid for FreeBSD-5x
          Severity: normal
    Classification: Unclassified
                OS: FreeBSD
          Reporter: ohauer@gmx.de
          Hardware: All
            Status: NEW
           Version: 2.2.22
         Component: Documentation
           Product: Apache httpd-2

In the bind manual the following sentence is wrong (only valid for FreeBSD5)

--enable-v4-mapped is the default on all platforms except FreeBSD, NetBSD, and
OpenBSD, ...

If your platform supports it and you want Apache to handle IPv4 and IPv6 ...
--disable-v4-mapped is the default on FreeBSD, NetBSD, and OpenBSD.

This is text is only valid for FreeBSD-5.x.

>From the configure script:

# Check whether --enable-v4-mapped was given.
if test "${enable_v4_mapped+set}" = set; then :
  enableval=$enable_v4_mapped;
  v4mapped=$enableval
else
    case $host in
    *freebsd5*|*netbsd*|*openbsd*)
        v4mapped=no
        ;;
    *mingw*)
                        v4mapped=no
        ;;
    *)
        v4mapped=yes
        ;;
esac
fi

-- 
You are receiving this mail because:
You are the assignee for the bug.

---------------------------------------------------------------------
To unsubscribe, e-mail: docs-unsubscribe@httpd.apache.org
For additional commands, e-mail: docs-help@httpd.apache.org


Mime
View raw message